Skip to content

Survey Response

Manage survey responses. Supports fetching by ID, ingesting a response, updating response custom fields, deleting responses, and searching responses.

Fetch survey response(s) by id

Request

Security
bearerAuth and apiKeyAuth
Query
idstring

Comma-separated list of survey response ids

curl -i -X GET \
  'https://api3.sprinklr.com/prod/api/v3/surveyResponse?id=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
hasMoreboolean
responsesArray of objects(SurveyData)
metadataobject(Metadata_models)
customFieldLookupobject
questionLookupobject
]
Response
[ { "hasMore": true, "responses": [ … ], "metadata": { … }, "customFieldLookup": { … }, "questionLookup": { … } } ]